https://signoz.io logo
#support
Title
# support
m

Manoj Yadav

02/10/2023, 10:04 AM
Error: Cannot find module ‘@opentelemetry/api’ Require stack: • /app/node_modules/@opentelemetry/sdk-node/build/src/index.js • /app/tracing.js • internal/preload at Function.Module._resolveFilename (internal/modules/cjs/loader.js90215) at Function.Module._load (internal/modules/cjs/loader.js74627) at Module.require (internal/modules/cjs/loader.js97419) at require (internal/modules/cjs/helpers.js10118) getting this error in new published version
s

Srikanth Chekuri

02/10/2023, 10:56 AM
Did you install the packages with the manager?
m

Manoj Yadav

02/10/2023, 10:56 AM
through npm
through node packager @opentelemetry/api and @opentelemetry/api-metrics modules is now not downloading when doing npm i @opentelemetry/auto-instrumentations-node its removed in current version
through node packager @opentelemetry/api and @opentelemetry/api-metrics modules is now not downloading when doing npm i @opentelemetry/auto-instrumentations-node its removed in current version
m

Manoj Yadav

02/10/2023, 11:05 AM
npm i @opentelemetry/auto-instrumentations-node in this case you wont get @opentelemetry/api in node_modules
previously coming
but from your next build not getting this from 0.36.0 to 0.36.1
s

Srikanth Chekuri

02/10/2023, 11:08 AM
You can continue the discussion in this thread without sending each message to channel.
I can see it being installed.
704 Views